com.amazonaws.services.cloudfront.model

## Class StreamingLoggingConfig

- java.lang.Object
- - com.amazonaws.services.cloudfront.model.StreamingLoggingConfig

All Implemented Interfaces:
  Serializable, Cloneable

    public class StreamingLoggingConfig
    extends Object
    implements Serializable, Cloneable

A complex type that controls whether access logs are written for this streaming distribution.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`StreamingLoggingConfig()`

### Method Summary

All Methods Instance Methods Concrete Methods
`StreamingLoggingConfig` `clone()`
`boolean` `equals(Object obj)`
`String` `getBucket()` The Amazon S3 bucket to store the access logs in, for example, `myawslogbucket.s3.amazonaws.com`.
`Boolean` `getEnabled()` Specifies whether you want CloudFront to save access logs to an Amazon S3 bucket.
`String` `getPrefix()` An optional string that you want CloudFront to prefix to the access log `filenames` for this streaming distribution, for example, `myprefix/`.
`int` `hashCode()`
`Boolean` `isEnabled()` Specifies whether you want CloudFront to save access logs to an Amazon S3 bucket.
`void` `setBucket(String bucket)` The Amazon S3 bucket to store the access logs in, for example, `myawslogbucket.s3.amazonaws.com`.
`void` `setEnabled(Boolean enabled)` Specifies whether you want CloudFront to save access logs to an Amazon S3 bucket.
`void` `setPrefix(String prefix)` An optional string that you want CloudFront to prefix to the access log `filenames` for this streaming distribution, for example, `myprefix/`.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`StreamingLoggingConfig` `withBucket(String bucket)` The Amazon S3 bucket to store the access logs in, for example, `myawslogbucket.s3.amazonaws.com`.
`StreamingLoggingConfig` `withEnabled(Boolean enabled)` Specifies whether you want CloudFront to save access logs to an Amazon S3 bucket.
`StreamingLoggingConfig` `withPrefix(String prefix)` An optional string that you want CloudFront to prefix to the access log `filenames` for this streaming distribution, for example, `myprefix/`.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### StreamingLoggingConfig

    public StreamingLoggingConfig()

### Method Detail

#### setEnabled

    public void setEnabled(Boolean enabled)

Specifies whether you want CloudFront to save access logs to an Amazon S3 bucket. If you do not want to enable logging when you create a streaming distribution or if you want to disable logging for an existing streaming distribution, specify `false` for `Enabled`, and specify `empty Bucket` and `Prefix` elements. If you specify `false` for `Enabled` but you specify values for `Bucket` and `Prefix`, the values are automatically deleted.

Parameters:
  `enabled` - Specifies whether you want CloudFront to save access logs to an Amazon S3 bucket. If you do not want to enable logging when you create a streaming distribution or if you want to disable logging for an existing streaming distribution, specify `false` for `Enabled`, and specify `empty Bucket` and `Prefix` elements. If you specify `false` for `Enabled` but you specify values for `Bucket` and `Prefix`, the values are automatically deleted.

#### getEnabled

    public Boolean getEnabled()

Specifies whether you want CloudFront to save access logs to an Amazon S3 bucket. If you do not want to enable logging when you create a streaming distribution or if you want to disable logging for an existing streaming distribution, specify `false` for `Enabled`, and specify `empty Bucket` and `Prefix` elements. If you specify `false` for `Enabled` but you specify values for `Bucket` and `Prefix`, the values are automatically deleted.

Returns:
  Specifies whether you want CloudFront to save access logs to an Amazon S3 bucket. If you do not want to enable logging when you create a streaming distribution or if you want to disable logging for an existing streaming distribution, specify `false` for `Enabled`, and specify `empty Bucket` and `Prefix` elements. If you specify `false` for `Enabled` but you specify values for `Bucket` and `Prefix`, the values are automatically deleted.

#### withEnabled

    public StreamingLoggingConfig withEnabled(Boolean enabled)

Specifies whether you want CloudFront to save access logs to an Amazon S3 bucket. If you do not want to enable logging when you create a streaming distribution or if you want to disable logging for an existing streaming distribution, specify `false` for `Enabled`, and specify `empty Bucket` and `Prefix` elements. If you specify `false` for `Enabled` but you specify values for `Bucket` and `Prefix`, the values are automatically deleted.

Parameters:
  `enabled` - Specifies whether you want CloudFront to save access logs to an Amazon S3 bucket. If you do not want to enable logging when you create a streaming distribution or if you want to disable logging for an existing streaming distribution, specify `false` for `Enabled`, and specify `empty Bucket` and `Prefix` elements. If you specify `false` for `Enabled` but you specify values for `Bucket` and `Prefix`, the values are automatically deleted.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### isEnabled

    public Boolean isEnabled()

Specifies whether you want CloudFront to save access logs to an Amazon S3 bucket. If you do not want to enable logging when you create a streaming distribution or if you want to disable logging for an existing streaming distribution, specify `false` for `Enabled`, and specify `empty Bucket` and `Prefix` elements. If you specify `false` for `Enabled` but you specify values for `Bucket` and `Prefix`, the values are automatically deleted.

Returns:
  Specifies whether you want CloudFront to save access logs to an Amazon S3 bucket. If you do not want to enable logging when you create a streaming distribution or if you want to disable logging for an existing streaming distribution, specify `false` for `Enabled`, and specify `empty Bucket` and `Prefix` elements. If you specify `false` for `Enabled` but you specify values for `Bucket` and `Prefix`, the values are automatically deleted.

#### setBucket

    public void setBucket(String bucket)

The Amazon S3 bucket to store the access logs in, for example, `myawslogbucket.s3.amazonaws.com`.

Parameters:
  `bucket` - The Amazon S3 bucket to store the access logs in, for example, `myawslogbucket.s3.amazonaws.com`.

#### getBucket

    public String getBucket()

The Amazon S3 bucket to store the access logs in, for example, `myawslogbucket.s3.amazonaws.com`.

Returns:
  The Amazon S3 bucket to store the access logs in, for example, `myawslogbucket.s3.amazonaws.com`.

#### withBucket

    public StreamingLoggingConfig withBucket(String bucket)

The Amazon S3 bucket to store the access logs in, for example, `myawslogbucket.s3.amazonaws.com`.

Parameters:
  `bucket` - The Amazon S3 bucket to store the access logs in, for example, `myawslogbucket.s3.amazonaws.com`.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setPrefix

    public void setPrefix(String prefix)

An optional string that you want CloudFront to prefix to the access log `filenames` for this streaming distribution, for example, `myprefix/`. If you want to enable logging, but you do not want to specify a prefix, you still must include an empty `Prefix` element in the `Logging` element.

Parameters:
  `prefix` - An optional string that you want CloudFront to prefix to the access log `filenames` for this streaming distribution, for example, `myprefix/`. If you want to enable logging, but you do not want to specify a prefix, you still must include an empty `Prefix` element in the `Logging` element.

#### getPrefix

    public String getPrefix()

An optional string that you want CloudFront to prefix to the access log `filenames` for this streaming distribution, for example, `myprefix/`. If you want to enable logging, but you do not want to specify a prefix, you still must include an empty `Prefix` element in the `Logging` element.

Returns:
  An optional string that you want CloudFront to prefix to the access log `filenames` for this streaming distribution, for example, `myprefix/`. If you want to enable logging, but you do not want to specify a prefix, you still must include an empty `Prefix` element in the `Logging` element.

#### withPrefix

    public StreamingLoggingConfig withPrefix(String prefix)

An optional string that you want CloudFront to prefix to the access log `filenames` for this streaming distribution, for example, `myprefix/`. If you want to enable logging, but you do not want to specify a prefix, you still must include an empty `Prefix` element in the `Logging` element.

Parameters:
  `prefix` - An optional string that you want CloudFront to prefix to the access log `filenames` for this streaming distribution, for example, `myprefix/`. If you want to enable logging, but you do not want to specify a prefix, you still must include an empty `Prefix` element in the `Logging` element.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public StreamingLoggingConfig clone()

Overrides:
  `clone` in class `Object`